Package com.sas.lsaf.workflow

## Class AttributeMapping

- java.lang.Object
- - com.sas.lsaf.workflow.AttributeMapping

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AttributeMapping
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents a single process flow definition attribute mapping.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeMapping​(java.lang.String attrName, java.lang.String mapAttrName, FlowAttributeType type)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getAttrName()` | Gets the name of the attribute.
    `java.lang.String` | `getMapAttrName()` | Gets the name of the attribute to which this attribute maps.
    `FlowAttributeType` | `getType()` | Gets the type of the attribute.
    `int` | `hashCode()` |
    `void` | `setAttrName​(java.lang.String attrName)` | Sets the name of the attribute.
    `void` | `setMapAttrName​(java.lang.String mapAttrName)` | Sets the name of the attribute to which this attribute maps.
    `void` | `setType​(FlowAttributeType type)` | Sets the type of the attribute.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeMapping

          public AttributeMapping​(java.lang.String attrName,
                                  java.lang.String mapAttrName,
                                  FlowAttributeType type)

      Constructor.
      Parameters:
        `attrName` - The name.
        `mapAttrName` - The name of the attribute to which this attribute maps.
        `type` - The type of the attribute.

  - ### Method Detail

    - #### getAttrName

          public java.lang.String getAttrName()

      Gets the name of the attribute.
      Returns:
        The name.

    - #### setAttrName

          public void setAttrName​(java.lang.String attrName)

      Sets the name of the attribute.
      Parameters:
        `attrName` - The name of the attribute.

    - #### getMapAttrName

          public java.lang.String getMapAttrName()

      Gets the name of the attribute to which this attribute maps.
      Returns:
        The name of the attribute.

    - #### setMapAttrName

          public void setMapAttrName​(java.lang.String mapAttrName)

      Sets the name of the attribute to which this attribute maps.
      Parameters:
        `mapAttrName` - The name of the attribute.

    - #### getType

          public FlowAttributeType getType()

      Gets the type of the attribute.
      Returns:
        The type of the attribute.

    - #### setType

          public void setType​(FlowAttributeType type)

      Sets the type of the attribute.
      Parameters:
        `type` - The type.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`